## skrooge 2.12.0

=== debian/changelog ===
skrooge (2.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_cmake-fix-KDocTools-variable-name.patch: drop,
      backported from upstream
  * Avoid removing .so symlinks of plugins.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default

 -- Pino Toscano <pino@debian.org>  Sat, 10 Mar 2018 09:16:40 +0100
