=== debian/changelog ===
skrooge (2.13.0-2) unstable; urgency=medium

  * Team upload.
  * Move the appdata file from skrooge-common to skrooge, where the desktop
    file is
    - add proper breaks/replaces
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Sun, 27 May 2018 11:22:24 +0200

skrooge (2.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 21:27:56 +0200
