=== debian/control ===
--- 
+++ 
@@ -45,10 +45,10 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                shared-mime-info
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://skrooge.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/skrooge/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
 
 Package: skrooge
 Architecture: any
@@ -60,6 +60,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: poppler-utils
+Breaks: skrooge-common (<< 2.13.0-2~),
+Replaces: skrooge-common (<< 2.13.0-2~),
 Description: personal finance manager for KDE
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and
