=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --list-missing --with kf5

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf5 -- -DSKG_BUILD_TEST=OFF

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --buildsystem=kf5

	# remove .so symlinks, useless without headers; make sure to not
	# remove those for qt plugins
	find debian/tmp \( -name '*.so' -type l \! -path '*/usr/lib/*/qt5/plugins/designer/*' \) -print -delete
