=== debian/changelog ===
skrooge (2.14.0-1build1) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:58:21 -0500

skrooge (2.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Homepage to https.
  * Switch from --list-missing to --fail-missing for dh_missing.
  * Remove the unused libkf5kdelibs4support-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jun 2018 21:43:36 +0200
