=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                libkf5coreaddons-dev,
                libkf5dbusaddons-dev,
                libkf5doctools-dev,
-               libkf5kdelibs4support-dev,
                kgendesignerplugin,
                libkf5guiaddons-dev,
                libkf5i18n-dev,
@@ -46,7 +45,7 @@
                pkg-kde-tools (>= 0.15.16),
                shared-mime-info
 Standards-Version: 4.1.4
-Homepage: http://skrooge.org/
+Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
