=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --list-missing --with kf5
+	dh $@ --with kf5
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=kf5 -- -DSKG_BUILD_TEST=OFF
@@ -16,3 +16,6 @@
 	# remove .so symlinks, useless without headers; make sure to not
 	# remove those for qt plugins
 	find debian/tmp \( -name '*.so' -type l \! -path '*/usr/lib/*/qt5/plugins/designer/*' \) -print -delete
+
+override_dh_missing:
+	dh_missing --fail-missing
