## skrooge 2.15.0

=== debian/changelog ===
skrooge (2.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes required.
  * Use dh_python3 to calculate automatically the Python 3 dependency:
    - add the dh-python, and python3 build dependencies
    - use the python3 dh addon
    - invoke dh_python3 on the proper data directory in skrooge-common
    - use the ${python3:Depends} substvar in skrooge-common, removing the
      manual python3 dependency in skrooge

 -- Pino Toscano <pino@debian.org>  Thu, 23 Aug 2018 07:58:00 +0200
