=== debian/control ===
--- 
+++ 
@@ -43,8 +43,10 @@
                libsqlcipher-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
+               dh-python,
+               python3,
                shared-mime-info
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
@@ -55,7 +57,6 @@
          libqt5sql5-sqlite,
          skrooge-common (= ${source:Version}),
          kinit,
-         python3,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: poppler-utils
@@ -83,7 +84,8 @@
 
 Package: skrooge-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
 Description: Skrooge architecture independent files
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and
