=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --with kf5
+	dh $@ --with kf5,python3
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=kf5 -- -DSKG_BUILD_TEST=OFF
@@ -19,3 +19,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_python3:
+	dh_python3 -p skrooge-common /usr/share/skrooge
