## skrooge 2.16.2

=== debian/changelog ===
skrooge (2.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable the build of the Qt Designer plugins, which are not useful without
    development stuff:
    - pass -DSKG_DESIGNER=OFF to cmake
    - remove special casing for Qt plugins when removing .so symlinks
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 04 Nov 2018 23:53:16 +0100
