=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                dh-python,
                python3,
                shared-mime-info
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://skrooge.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skrooge.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skrooge
